Skip to main content
POST
Create a status report

Path Parameters

statusPageId
string
required

Status page ID (UUID) or slug.

Required string length: 1 - 64

Body

application/json
kind
enum<string>
required
Available options:
incident,
maintenance
title
string
required
Required string length: 1 - 200
update
object
required

The report's first update. Saved as a draft with the report.

scheduledStartAt
string<date-time>

Maintenance only: when the window starts.

scheduledEndAt
string<date-time>

Maintenance only: when the window ends.

Response

200 - application/json

OK

report
object
required